package fr.natan.microservices.springsecurityserverjwt;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.security.crypto.password.PasswordEncoder;

@SpringBootApplication
public class SpringSecurityServerJwtApplication {

    public static void main(String[] args) {
        SpringApplication.run(SpringSecurityServerJwtApplication.class, args);
    }

    @Bean
    PasswordEncoder passwordEncoder() {
        return new BCryptPasswordEncoder();
    }

   /* @Bean
    public CommandLineRunner start(AccountService accountService) {
        return args -> {

            AppRole[] appRoles = {
                    new AppRole(null, "user"),
                    new AppRole(null, "cto"),
                    new AppRole(null, "ceo"),
                    new AppRole(null, "hr"),
                    new AppRole(null, "communication"),
                    new AppRole(null, "other-roles")
            };


            for (short i = 0; i < appRoles.length; i++) {
                accountService.addNewRole(appRoles[i]);
            }

            UserAccount[] users = {
                    new UserAccount(null, "placide.nduwayo", "1234", new ArrayList<>()),
                    new UserAccount(null, "smail.sellah", "1234", new ArrayList<>()),
                    new UserAccount(null, "charles.benassaya", "1234", new ArrayList<>()),
                    new UserAccount(null, "david.nivet", "1234", new ArrayList<>()),
                    new UserAccount(null, "david.touitou", "1234", new ArrayList<>()),
                    new UserAccount(null, "sarah.leray", "1234", new ArrayList<>()),
                    new UserAccount(null, "naolie.boudouka", "1234", new ArrayList<>())
            };

            for (short i = 0; i < users.length; i++) {
                accountService.addNewUserAccount(users[i]);
            }

            //Charles et david nivet à tous les roles
            for (short i = 0; i < appRoles.length; i++) {
                accountService.addRoleToUser(users[2].getUsername(), appRoles[i].getRoleName());
            }
            for (short i = 0; i < appRoles.length; i++) {
                accountService.addRoleToUser(users[3].getUsername(), appRoles[i].getRoleName());
            }

            accountService.addRoleToUser(users[0].getUsername(), appRoles[0].getRoleName());
            accountService.addRoleToUser(users[0].getUsername(), appRoles[5].getRoleName());
            accountService.addRoleToUser(users[1].getUsername(), appRoles[0].getRoleName());
            accountService.addRoleToUser(users[1].getUsername(), appRoles[5].getRoleName());
            accountService.addRoleToUser(users[4].getUsername(), appRoles[0].getRoleName());
            accountService.addRoleToUser(users[4].getUsername(), appRoles[5].getRoleName());
            accountService.addRoleToUser(users[5].getUsername(), appRoles[0].getRoleName());
            accountService.addRoleToUser(users[5].getUsername(), appRoles[3].getRoleName());
            accountService.addRoleToUser(users[5].getUsername(), appRoles[5].getRoleName());
            accountService.addRoleToUser(users[6].getUsername(), appRoles[0].getRoleName());
            accountService.addRoleToUser(users[6].getUsername(), appRoles[4].getRoleName());
            accountService.addRoleToUser(users[6].getUsername(), appRoles[5].getRoleName());
        };
    }*/
}
