package fr.natan.microservices.springsecurityserverjwt.service.utilities;

import fr.natan.microservices.springsecurityserverjwt.models.AppRole;
import fr.natan.microservices.springsecurityserverjwt.models.UserAccount;

public class UserAccountAndRolesValidator {

    public static UserAccount formatUserAccount(UserAccount userAccount){
        userAccount.setUsername(userAccount.getUsername().strip().toLowerCase());
        return  userAccount;
    }

    public static boolean isValidUserAccount(UserAccount userAccount){
        if(userAccount.getUsername().isEmpty() || userAccount.getPwd().isEmpty()){
            return false;
        }

        return true;
    }

    public static AppRole formatRoles(AppRole appRole){

        appRole.setRoleName(appRole.getRoleName().strip().toUpperCase());
        return appRole;
    }

    public static boolean isValidRole(AppRole appRole){
        if(appRole.getRoleName().isEmpty()){
            return false;
        }
        return true;
    }
}
